Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.bio.entity.factory
Class MapMakerFactory

    java.lang.Object
      org.metaqtl.bio.entity.factory.BioEntityFactory
          org.metaqtl.bio.entity.factory.MapMakerFactory

    public class MapMakerFactory

extends BioEntityFactory

Author:
  Jean-Baptiste To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`MapMakerFactory()`

Method Summary
`IBioEntity` | `load(java.io.InputStream stream)`
`IBioEntity` | `load(java.io.Reader reader)`
`void` | `unload(IBioEntity entity, java.io.OutputStream stream)`
`void` | `unload(IBioEntity obj, java.io.Writer w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapMakerFactory

    public MapMakerFactory()

Method Detail

### load

    public IBioEntity load(java.io.Reader reader)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### load

    public IBioEntity load(java.io.InputStream stream)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity obj,
                       java.io.Writer w)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity entity,
                       java.io.OutputStream stream)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD